# stl_vector.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_vector.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- struct std::_Vector_base< _Tp, _Alloc >
- struct std::_Vector_base< _Tp, _Alloc >::_Vector_impl
- class std::vector< _Tp, _Alloc >
    A standard container which offers fixed time access to individual elements in any order. More...

## Defines

- #define _VECTOR_H

## Functions

- template<typename _Tp, typename _Alloc> bool std::operator!= (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool std::operator< (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool std::operator<= (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool std::operator== (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool std::operator> (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool std::operator>= (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> void std::swap (vector< _Tp, _Alloc > &__x, vector< _Tp, _Alloc > &__y)